> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/ecommerce/create-store-promo-rule/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # Add promo rule POST https://api.mailchimp.com/3.0/ecommerce/stores/{store_id}/promo-rules Content-Type: application/json Add a new promo rule to a store. Reference: https://mailchimp.com/developer/marketing/api/ecommerce/create-store-promo-rule ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `store_id` (string, required) — The store id. ### Body (application/json) This endpoint expects an object. - `amount` (30EcommerceStoresStoreIdPromoRulesPostRequestBodyContentApplicationJsonSchemaAmount, required) - `description` (string, required) — The description of a promotion restricted to UTF-8 characters with max length 255. - `id` (string, required) — A unique identifier for the promo rule. If Ecommerce platform does not support promo rule, use promo code id as promo rule id. Restricted to UTF-8 characters with max length 50. - `target` (enum, required) — The target that the discount applies to. - Allowed values: `per_item`, `total`, `shipping` - `type` (enum, required) — Type of discount. For free shipping set type to fixed. - Allowed values: `fixed`, `percentage` - `created_at_foreign` (string, optional) — The date and time the promotion was created in ISO 8601 format. - `enabled` (boolean, optional) — Whether the promo rule is currently enabled. - `ends_at` (30EcommerceStoresStoreIdPromoRulesPostRequestBodyContentApplicationJsonSchemaEndsAt, optional) - `starts_at` (30EcommerceStoresStoreIdPromoRulesPostRequestBodyContentApplicationJsonSchemaStartsAt, optional) - `title` (string, optional) — The title that will show up in promotion campaign. Restricted to UTF-8 characters with max length of 100 bytes. - `updated_at_foreign` (string, optional) — The date and time the promotion was updated in ISO 8601 format. ## Response ### 200 - `_links` (list of ECommercePromoRuleLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `amount` (float, optional) — The amount of the promo code discount. If 'type' is 'fixed', the amount is treated as a monetary value. If 'type' is 'percentage', amount must be a decimal value between 0.0 and 1.0, inclusive. - `created_at_foreign` (datetime, optional) — The date and time the promotion was created in ISO 8601 format. - `description` (string, optional) — The description of a promotion restricted to UTF-8 characters with max length 255. - `enabled` (boolean, optional) — Whether the promo rule is currently enabled. - `ends_at` (string, optional) — The date and time when the promotion ends. Must be after starts_at and in ISO 8601 format. - `id` (string, optional) — A unique identifier for the promo rule. If Ecommerce platform does not support promo rule, use promo code id as promo rule id. Restricted to UTF-8 characters with max length 50. - `starts_at` (datetime, optional) — The date and time when the promotion is in effect in ISO 8601 format. - `target` (enum, optional) — The target that the discount applies to. - Allowed values: `per_item`, `total`, `shipping` - `title` (string, optional) — The title that will show up in promotion campaign. Restricted to UTF-8 characters with max length of 100 bytes. - `type` (enum, optional) — Type of discount. For free shipping set type to fixed. - Allowed values: `fixed`, `percentage` - `updated_at_foreign` (datetime, optional) — The date and time the promotion was updated in ISO 8601 format. ## Types ### 30EcommerceStoresStoreIdPromoRulesPostRequestBodyContentApplicationJsonSchemaAmount ### 30EcommerceStoresStoreIdPromoRulesPostRequestBodyContentApplicationJsonSchemaEndsAt ### 30EcommerceStoresStoreIdPromoRulesPostRequestBodyContentApplicationJsonSchemaStartsAt ### ECommercePromoRuleLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ## Examples **Request** ```json { "amount": 1.1, "description": "Save BIG during our summer sale!", "id": "string", "target": "per_item", "type": "fixed" } ``` **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "amount": 0.5, "created_at_foreign": "2024-01-15T09:30:00Z", "description": "Save BIG during our summer sale!", "enabled": "true", "ends_at": "string", "id": "string", "starts_at": "2024-01-15T09:30:00Z", "target": "per_item", "title": "50% off Total Order", "type": "fixed", "updated_at_foreign": "2024-01-15T09:30:00Z" } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules" payload = { "amount": 1.1, "description": "Save BIG during our summer sale!", "id": "string", "target": "per_item", "type": "fixed" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"amount":1.1,"description":"Save BIG during our summer sale!","id":"string","target":"per_item","type":"fixed"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules" payload := strings.NewReader("{\n \"amount\": 1.1,\n \"description\": \"Save BIG during our summer sale!\",\n \"id\": \"string\",\n \"target\": \"per_item\",\n \"type\": \"fixed\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"amount\": 1.1,\n \"description\": \"Save BIG during our summer sale!\",\n \"id\": \"string\",\n \"target\": \"per_item\",\n \"type\": \"fixed\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"amount\": 1.1,\n \"description\": \"Save BIG during our summer sale!\",\n \"id\": \"string\",\n \"target\": \"per_item\",\n \"type\": \"fixed\"\n}") .asString(); ``` ```php request('POST', 'https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules', [ 'body' => '{ "amount": 1.1, "description": "Save BIG during our summer sale!", "id": "string", "target": "per_item", "type": "fixed" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"amount\": 1.1,\n \"description\": \"Save BIG during our summer sale!\",\n \"id\": \"string\",\n \"target\": \"per_item\",\n \"type\": \"fixed\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "amount": 1.1, "description": "Save BIG during our summer sale!", "id": "string", "target": "per_item", "type": "fixed" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/ecommerce/stores/store_id/promo-rules")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.